> ## Documentation Index
> Fetch the complete documentation index at: https://docs.otterly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List prompts in a workspace

> Lists the prompts monitored in the workspace. `id` is the identifier accepted by the prompt write endpoints.



## OpenAPI

````yaml https://data.otterly.ai/v1/openapi.json get /v1/workspaces/{id}/prompts
openapi: 3.0.0
info:
  title: Otterly Public API
  version: 1.0.0
servers:
  - url: https://data.otterly.ai
security: []
tags:
  - name: Engines
  - name: Workspaces
  - name: Tags
  - name: Prompts
  - name: Brand Reports
  - name: Audits
  - name: Accounts
paths:
  /v1/workspaces/{id}/prompts:
    get:
      tags:
        - Prompts
      summary: List prompts in a workspace
      description: >-
        Lists the prompts monitored in the workspace. `id` is the identifier
        accepted by the prompt write endpoints.
      parameters:
        - schema:
            type: string
            minLength: 1
            example: 01HX7K2YV9D3M8N0G6Q5R4S3T2
            description: Workspace identifier.
          required: true
          description: Workspace identifier.
          name: id
          in: path
      responses:
        '200':
          description: A list of workspace prompts.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiWorkspacePromptsList'
        '400':
          description: Validation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiValidationErrorResponse'
        '401':
          description: Unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiErrorResponse'
        '403':
          description: Forbidden.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiErrorResponse'
        '429':
          description: Quota exhausted.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    PublicApiWorkspacePromptsList:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/PublicApiWorkspacePrompt'
        paging:
          $ref: '#/components/schemas/PublicApiCursorPageInfo'
      required:
        - items
        - paging
    PublicApiValidationErrorResponse:
      type: object
      properties:
        message:
          type: string
        target:
          type: string
        errors:
          type: array
          items:
            type: object
            properties:
              path:
                type: string
              message:
                type: string
              code:
                type: string
            required:
              - path
              - message
              - code
      required:
        - message
        - target
        - errors
      example:
        message: Validation failed
        target: query
        errors:
          - path: country
            message: Required
            code: invalid_type
    PublicApiErrorResponse:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      example:
        message: Report not found
    PublicApiWorkspacePrompt:
      type: object
      properties:
        id:
          type: string
          minLength: 1
          example: 01HX7K2YV9D3M8N0G6Q5R4S3T2
          description: Prompt ID — use with the prompt write endpoints.
        prompt:
          type: string
        country:
          type: string
        tagIds:
          type: array
          items:
            type: string
        intentVolume:
          type: number
          description: Monthly intent volume for the prompt, when computed.
        createdDate:
          type: string
      required:
        - id
        - prompt
        - country
        - tagIds
        - createdDate
      example:
        id: 01HX7K2YV9D3M8N0G6Q5R4S3T2
        prompt: best running shoes
        country: us
        tagIds: []
        intentVolume: 1200
        createdDate: '2026-07-14T10:00:00.000Z'
    PublicApiCursorPageInfo:
      type: object
      properties:
        nextCursor:
          type: string
          nullable: true
        hasMore:
          type: boolean
      required:
        - nextCursor
        - hasMore
      example:
        nextCursor: null
        hasMore: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Provide your API key as a Bearer token: `Authorization: Bearer
        YOUR_API_KEY`.

````